





/*  MARK: Chat
*/
/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */
#actus-chat {
	position: fixed;
	left: 0;
	bottom: 0;
	z-index: 9999;
}
#actus-chat-button {
	padding: 12px;
	cursor: pointer;
}
#actus-chat-button svg {
	width: 48px;
	height: 48px;
	fill: var(--accent);
}
#actus-chat-box {
	display: none;
    flex-flow: column;
	position: absolute;
    bottom: 16px;
    left: 16px;
	width: 800px;
	min-height: 240px;
    max-height: calc(100vh - 32px);
	padding: 16px;
	background: var(--white);
	border-radius: var(--radius-lg);
	box-shadow: var(--shadow-lg);
	box-shadow: 0 0 3px var(--n-200), 0 12px 32px var(--n-400);
	overflow: hidden;
	border: 2px solid var(--n-100);
}
#actus-chat.active #actus-chat-button { display: none; }
#actus-chat.active #actus-chat-box { display: flex; }
#actus-chat-header { 
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 12px;
}
#actus-chat-messages {
	flex: 1;
	overflow-y: auto;
    margin-bottom: 16px;
	padding-right: 8px;
}
#actus-chat-input-container {
    display: flex;
}
#actus-chat-input {
    margin: 0 4px 0 0;
}
#actus-chat-sources {
    display: flex;
    flex-flow: row wrap;
    gap: 4px;
    margin-top: 4px;
}
#actus-chat-sources div {
    padding: 4px 8px;
    background: var(--n-50);
    border: 1px solid var(--n-200);
    border-radius: var(--radius-sm);
    font-size: 11px;
    color: var(--n-500);
    cursor: pointer;
}
#actus-chat-sources .actus-chat-source.active {
    background: var(--col-100);
    border-color: var(--col-300);
    color: var(--col-600);
}

.actus-chat-message {
    margin-bottom: 16px;
    font-size: 13px;
}
.actus-chat-message.user-message {
    padding: 12px;
    background: var(--n-100);
    border-radius: var(--radius-sm);
}

#actus-chat-messages table { border-collapse: collapse; }
#actus-chat-messages table th {
	text-align: left;
	vertical-align: bottom;
	padding: 8px;
	background: var(--n-600);
	color: var(--white);
}
#actus-chat-messages table tr:nth-child(even) {
	background: var(--n-100);
}
#actus-chat-messages table td {
	padding: 8px;
	border-bottom: 1px solid var(--n-200);
}
#actus-chat-messages,
#actus-chat-messages p,
#actus-chat-messages li,
#actus-chat-messages a { font-size: 13px; }


#actus-chat-close {
	padding: 0px 12px;
    font-size: 22px;
}


.actus-chat-message.loader-message {
    padding: 4px;
}
.actus-chat-message.loader-message svg {
    width: auto;
    height: 32px;
    stroke: var(--accent);
}
